6 Replies Latest reply: Mar 28, 2013 2:09 PM by AstroMacMan
wattycm1 Level 1 Level 1 (0 points)

Am I right that, having waited with bated breath for the launch of Mountain Lion, that it will not run on my MacBook? At just 4 years old I find this amazing, that Apple consider it right to launch flagship O.S. that will not run on machines just 4 years old? Support???


MacBook, Mac OS X (10.7.4)
  • 1. Re: Mountain Lion and MacBook early 2008 2.4
    laundry bleach Level 5 Level 5 (6,880 points)

    According to Mountain Lion's specifications page you are correct, it is not supported on your MacBook. The good news is that your MacBook is still the same machine you purchased and will run Lion without any problem.

  • 2. Re: Mountain Lion and MacBook early 2008 2.4
    wattycm1 Level 1 Level 1 (0 points)

    Thanks for confirming this, but I am dissapointed to say the least that it iwll not run on my MacBook. Developers and etc. will now all concentrate on M Lion, and so upgrades will get fewer and fewer rapidly. I bought what I thought was a good, long term upgradable buy, since the only other OS upgrade for a long time that needed new tech was when the change to Intel happened, and even then for a long time there were new OS versions for both. Macs are not cheap, but usually good value due to their long usefull life and continued Software and OS development. Guess I will have to start saving up again!!

  • 3. Re: Mountain Lion and MacBook early 2008 2.4
    White-1 Level 1 Level 1 (30 points)

    Unless there will be some sort of hack. If not, then I gotta tell you that I'll quit using Apple software and hardware.

    Windows 8 has the same system requirements as Windows 7 did. So I think I'll go back to Windows if ...yeah..

    I am disappointed in Apple for doing this.

    And as I see, there are no security support updates for Mac OS X Leopard either...Yeah. That's it. I recommend you to quit using Apple products. I mean it... There are so many PC's out there (better than Macs, and cheaper and I am not talking about HPs or something like that)

  • 4. Re: Mountain Lion and MacBook early 2008 2.4
    uguna Level 1 Level 1 (0 points)

    Each to his own, of course - but, until I bought my current MacBook Pro in late 2011, I was using a ten-year-old Macintosh Cube with the second-latest version of Mac OS X with no problems. So waste your money on an inferior product if you want, but get all the relevant information first.

  • 5. Re: Mountain Lion and MacBook early 2008 2.4
    AstroMacMan Level 2 Level 2 (290 points)

    Actually, 4 years is impressive in the hi-tech world, especially when the OS has changed substantially.

     

    I, too, have an early MacBook Pro 2008 and came across this thread looking for info on whether I could install Mountain Lion on it.  I'm disappointed, but not surprised, that it cannot be used--there are lots of improvements, many features (e.g., related to the track pad) that are CPU/GPU intensive or that work better with more recent hardware (big track pad, etc.).

     

    I'm still running Snow Leopard on mine and it runs like a champ. 

     

    If you're still looking for a way to get into the ML world, consider getting an "inexpensive" refurbished Mac from the Apple store-- full warranty and you'll have a backup computer!  (Use it for TV streaming-- or use one for travel, e.g., an MBA, and the other for home stuff, etc.)   

  • 6. Re: Mountain Lion and MacBook early 2008 2.4
    AstroMacMan Level 2 Level 2 (290 points)

    I take it all back!

     

    Mine's a MacBook Pro, not a MacBook, and it is eligible.  See here for a very positive report on using ML on an early MacBook Pro 2008.

     

    And here is the Apple spec sheet http://www.apple.com/osx/specs/

     

    Supported models:

     

    MacBook Pro (Mid/Late 2007 or newer)

     

    Yay!